package com.zd.chemical.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 hxp_cabinetlock_log
 *
 * @author zd
 * @date 2022-07-11
 */
@ApiModel("【请填写功能名称】")
public class HxpCabinetlockLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 柜锁id */
    @Excel(name = "柜锁id")
    @ApiModelProperty(value = "柜锁id")
    private Long cabinetlockId;
    /** 开锁时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开锁时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "开锁时间")
    private Date unLockTime;
    /** 关锁时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "关锁时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "关锁时间")
    private Date closeLockTime;
    /** 操作类型（1：入库，2：出库，3：领用，4：归还，5：系统） */
    @Excel(name = "操作类型", readConverterExp = "1=：入库，2：出库，3：领用，4：归还，5：系统")
    @ApiModelProperty(value = "操作类型")
    private Integer operationType;
    /** 开锁视频地址 */
    @Excel(name = "开锁视频地址")
    @Length(message = "开锁视频地址长度不能超过50")
    @ApiModelProperty(value = "开锁视频地址")
    private String unLockVideo;
    /** 关锁视频地址 */
    @Excel(name = "关锁视频地址")
    @Length(message = "关锁视频地址长度不能超过50")
    @ApiModelProperty(value = "关锁视频地址")
    private String closeLockVideo;

    @ApiModelProperty(value = "用户ids")
    private String userIds;

    @ApiModelProperty(value = "出入库ID")
    private Long stockId;

    @ApiModelProperty(value = "领用归还ID")
    private Long userecordId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCabinetlockId() {
        return cabinetlockId;
    }

    public void setCabinetlockId(Long cabinetlockId) {
        this.cabinetlockId = cabinetlockId;
    }

    public Date getUnLockTime() {
        return unLockTime;
    }

    public void setUnLockTime(Date unLockTime) {
        this.unLockTime = unLockTime;
    }

    public Date getCloseLockTime() {
        return closeLockTime;
    }

    public void setCloseLockTime(Date closeLockTime) {
        this.closeLockTime = closeLockTime;
    }

    public Integer getOperationType() {
        return operationType;
    }

    public void setOperationType(Integer operationType) {
        this.operationType = operationType;
    }

    public String getUnLockVideo() {
        return unLockVideo;
    }

    public void setUnLockVideo(String unLockVideo) {
        this.unLockVideo = unLockVideo;
    }

    public String getCloseLockVideo() {
        return closeLockVideo;
    }

    public void setCloseLockVideo(String closeLockVideo) {
        this.closeLockVideo = closeLockVideo;
    }

    public String getUserIds() {
        return userIds;
    }

    public void setUserIds(String userIds) {
        this.userIds = userIds;
    }

    public Long getStockId() {
        return stockId;
    }

    public void setStockId(Long stockId) {
        this.stockId = stockId;
    }

    public Long getUserecordId() {
        return userecordId;
    }

    public void setUserecordId(Long userecordId) {
        this.userecordId = userecordId;
    }
}
